%define anolis_release 1
Name:       update-motd
Version:    1.1.2
Release:    2.%{anolis_release}%{?dist}
License:    ASL 2.0
Summary:    Framework for dynamically generating MOTD
Group:      System Environment/Base
BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:  noarch
Requires:   bash coreutils
Requires:   anolis-release
BuildRequires: systemd-devel
%{?systemd_requires}

Source0:    sbin_update-motd
Source1:    cron_update-motd
Source2:    update-motd.service
Source3:    update-motd.action

Source5:    30-banner
Source6:    70-available-updates

%description
Framework and scripts for producing a dynamically generated Message Of The Day.
Based on and compatible with the framework implemented Ubuntu.

%install
rm -rf %{buildroot}
install -d %{buildroot}/etc/update-motd.d
install -d %{buildroot}/etc/dnf/plugins/post-transaction-actions.d
install -m 755 %{SOURCE5} %{buildroot}/etc/update-motd.d/
install -m 755 %{SOURCE6} %{buildroot}/etc/update-motd.d/
install -D -m 0755 %{SOURCE0} %{buildroot}/usr/sbin/update-motd
install -D -m 0644 %{SOURCE1} %{buildroot}/etc/cron.d/update-motd
install -D -m 0644 %{SOURCE2} %{buildroot}%{_unitdir}/update-motd.service
install -D -m 0644 %{SOURCE3} %{buildroot}/etc/dnf/plugins/post-transaction-actions.d/update-motd.action
# for %ghost
install -d %{buildroot}/var/lib/update-motd
touch %{buildroot}/var/lib/update-motd/motd

%clean
rm -rf %{buildroot}

%post
# Only run this on initial install
if [ "$1" = "1" ]; then
    touch /var/lib/update-motd/motd
    # Backup the current MOTD
    if [ -s /etc/motd -o -L /etc/motd ] && [ "$(readlink /etc/motd)" != "/var/lib/update-motd/motd" ]; then
        mv /etc/motd /etc/motd.rpmsave
        # And let it be the MOTD until update-motd gets run
        cp -L /etc/motd.rpmsave /var/lib/update-motd/motd
    fi
    ln -snf /var/lib/update-motd/motd /etc/motd
fi
%systemd_post update-motd.service

%preun
%systemd_preun update-motd.service

%postun
systemctl daemon-reload >/dev/null 2>&1 || :
if [ $1 -ge 1 ] ; then
	# 1 = Package upgrade, not uninstall
	systemctl try-restart update-motd.service --no-block >/dev/null 2>&1 || :
fi


%files
%defattr(-,root,root,-)
%dir /etc/update-motd.d
%attr(0755,root,root) /etc/update-motd.d/30-banner
%attr(0755,root,root) /etc/update-motd.d/70-available-updates
%dir /var/lib/update-motd
%config /etc/cron.d/update-motd
%config %{_unitdir}/update-motd.service
%config /etc/dnf/plugins/post-transaction-actions.d/update-motd.action
/usr/sbin/update-motd
%ghost /var/lib/update-motd/motd

%changelog
* Mon Aug 22 2022 Mingyue Zhao <wb-zmy745940@alibaba-inc.com> - 1.1.2-2.1
- Init Anolis OS 7

